/*!
 * Glide.js
 * Version: 2.0.0
 * Simple, lightweight and fast jQuery slider
 * Author: @jedrzejchalubek
 * Site: http://http://glide.jedrzejchalubek.com/
 * Licensed under the MIT license
 */

!function(a,b,c,d){var e=function(a,b){function c(){}return c.prototype.make=function(){return this[a.options.type](),this},c.prototype.after=function(b){return setTimeout(function(){b()},a.options.animationDuration+20)},c.prototype.slider=function(){var c=a.current*a.width-a.width;a.wrapper.css({transition:b.Transition.get("all"),transform:b.Translate.set("x",c)}),1===a.current?b.Arrows.hide("prev"):a.current===a.length?b.Arrows.hide("next"):b.Arrows.show()},c.prototype.carousel=function(){var c;b.Run.flag&&"<"===b.Run.direction?(c=0,b.Run.flag=!1,this.after(function(){a.wrapper.css({transition:b.Transition.clear("all"),transform:b.Translate.set("x",a.length*a.width)})})):b.Run.flag&&">"===b.Run.direction?(c=a.length*a.width+a.width,b.Run.flag=!1,this.after(function(){a.wrapper.css({transition:b.Transition.clear("all"),transform:b.Translate.set("x",a.width)})})):c=a.current*a.width,a.wrapper.css({transition:b.Transition.get("all"),transform:b.Translate.set("x",c)})},c.prototype.slideshow=function(c){a.slides.css("transition",b.Transition.get("opacity")).eq(a.current-1).css("opacity","1").siblings().css("opacity",0)},new c},f=function(a,b){function c(){}return c.prototype.instance=function(){return{current:function(){return a.current},go:function(a,c){return b.Run.make(a,c)},jump:function(a,c){return b.Transition.jumping=!0,b.Animation.after(function(){b.Transition.jumping=!1}),b.Run.make(a,c)},start:function(c){return b.Run.running=!0,a.options.autoplay=parseInt(c),b.Run.play()},play:function(){return b.Run.play()},pause:function(){return b.Run.pause()},destroy:function(){b.Events.unbind(),b.Touch.unbind(),b.Arrows.unbind(),b.Bullets.unbind(),a.slider.removeData("glide_api"),delete a.slider,delete a.wrapper,delete a.slides,delete a.width,delete a.length},refresh:function(){b.Build.removeClones(),a.collect(),a.setup(),b.Build.init()}}},new c},g=function(b,c){function d(){this.build(),this.bind()}return d.prototype.build=function(){this.wrapper=b.slider.children("."+b.options.classes.arrows),this.items=this.wrapper.children()},d.prototype.hide=function(a){return this.items.filter("."+b.options.classes["arrow"+c.Helper.capitalise(a)]).css({opacity:0,visibility:"hidden"}).siblings().css({opacity:1,visibility:"visible"}).end()},d.prototype.show=function(){return this.items.css({opacity:1,visibility:"visible"})},d.prototype.bind=function(){return this.items.on("click.glide touchstart.glide",function(b){b.preventDefault(),c.Events.disabled||c.Run.make(a(this).data("glide-dir"))})},d.prototype.unbind=function(){return this.items.unbind("click.glide touchstart.glide")},new d},h=function(a,b){function c(){this.init()}return c.prototype.init=function(){this[a.options.type](),this.active(),b.Bullets.active()},c.prototype.removeClones=function(){return a.wrapper.find(".clone").remove()},c.prototype.slider=function(){a.current===a.length&&b.Arrows.hide("next"),1===a.current&&b.Arrows.hide("prev"),a.wrapper.css({width:a.width*a.length,transform:b.Translate.set("x",a.width*(a.current-1))}),a.slides.width(a.width)},c.prototype.carousel=function(){a.wrapper.append(a.clones[0].width(a.width)).prepend(a.clones[1].width(a.width)).css({width:a.width*a.length+2*a.width,transform:b.Translate.set("x",a.width*a.current)}),a.slides.width(a.width)},c.prototype.slideshow=function(){a.slides.eq(a.current-1).css("opacity",1).siblings().css("opacity",0)},c.prototype.active=function(){a.slides.eq(a.current-1).addClass("active").siblings().removeClass("active")},new c},i=function(b,c){function d(){this.build(),this.bind()}return d.prototype.build=function(){this.wrapper=b.slider.children("."+b.options.classes.bullets);for(var c=1;c<=b.length;c++)a("<li>",{"class":b.options.classes.bullet,"data-glide-dir":"="+c}).appendTo(this.wrapper);this.items=this.wrapper.children()},d.prototype.active=function(){c.Bullets.items.eq(b.current-1).addClass("active").siblings().removeClass("active")},d.prototype.bind=function(){this.items.on("click.glide touchstart.glide",function(b){b.preventDefault(),c.Events.disabled||c.Run.make(a(this).data("glide-dir"))})},d.prototype.unbind=function(){this.items.unbind("click.glide touchstart.glide")},new d},j=function(a,b){function c(){for(var c in b)this[c]=new b[c](a,this)}return new c},k=function(c,d){function e(){this.disabled=!1,this.keyboard(),this.hoverpause(),this.resize(),this.triggers()}return e.prototype.keyboard=function(){c.options.keyboard&&a(b).on("keyup.glide",function(a){39===a.keyCode&&d.Run.make(">"),37===a.keyCode&&d.Run.make("<")})},e.prototype.hoverpause=function(){c.options.hoverpause&&c.slider.on("mouseover.glide",function(){d.Run.pause()}).on("mouseout.glide",function(){d.Run.play()})},e.prototype.resize=function(){a(b).on("resize",this.throttle(function(){d.Transition.jumping=!0,d.Run.pause(),c.setup(),d.Build.init(),d.Run.make("="+c.current),d.Run.play(),d.Transition.jumping=!1},c.options.throttle))},e.prototype.triggers=function(){this.triggers=a("[data-glide-trigger]"),this.triggers.length&&this.triggers.on("click.glide",function(b){if(b.preventDefault(),!d.Events.disabled){var c=a(a(this).data("glide-trigger")).data("glide_api");c.pause(),c.go(a(this).data("glide-dir")),c.play()}})},e.prototype.disable=function(){return this.disabled=!0,this},e.prototype.enable=function(){return this.disabled=!1,this},e.prototype.call=function(a){return"undefined"!==a&&"function"==typeof a&&a(c.current,c.slides.eq(c.current-1)),this},e.prototype.unbind=function(){c.slider.unbind("keyup.glide").unbind("mouseover.glide").unbind("mouseout.glide"),this.triggers.unbind("click.glide"),a(b).unbind("keyup.glide").unbind("resize.glide")},e.prototype.throttle=function(a,b,c){var d,e,f,g=this,h=null,i=0;c||(c={});var j=function(){i=c.leading===!1?0:g.now(),h=null,f=a.apply(d,e),h||(d=e=null)};return function(){var k=g.now();i||c.leading!==!1||(i=k);var l=b-(k-i);return d=this,e=arguments,0>=l||l>b?(h&&(clearTimeout(h),h=null),i=k,f=a.apply(d,e),h||(d=e=null)):h||c.trailing===!1||(h=setTimeout(j,l)),f}},e.prototype.now=Date.now||function(){return(new Date).getTime()},new e},l=function(a,b){function c(){}return c.prototype.capitalise=function(a){return a.charAt(0).toUpperCase()+a.slice(1)},new c},m=function(a,b){function c(){this.running=!1,this.flag=!1,this.play()}return c.prototype.play=function(){var b=this;return(a.options.autoplay||this.running)&&"undefined"==typeof this.interval&&(this.interval=setInterval(function(){b.make(">")},a.options.autoplay)),this.interval},c.prototype.pause=function(){return(a.options.autoplay||this.running)&&this.interval>=0&&(this.interval=clearInterval(this.interval)),this.interval},c.prototype.make=function(c,d){var e=this;switch(this.direction=c.substr(0,1),this.steps=c.substr(1)?c.substr(1):0,a.options.hoverpause||this.pause(),b.Events.disable().call(a.options.beforeTransition),this.direction){case">":a.current==a.length?(a.current=1,this.flag=!0):">"===this.steps?a.current=a.length:a.current=a.current+1;break;case"<":1==a.current?(a.current=a.length,this.flag=!0):"<"===this.steps?a.current=1:a.current=a.current-1;break;case"=":a.current=parseInt(this.steps)}b.Bullets.active(),b.Animation.make().after(function(){b.Build.active(),b.Events.enable().call(d).call(a.options.afterTransition),a.options.hoverpause||e.play()})},new c},n=function(a,b){function c(){this.dragging=!1,a.options.touchDistance&&a.wrapper.on({"touchstart.glide mousedown.glide":b.Events.throttle(this.start,a.options.throttle),"touchmove.glide mousemove.glide":b.Events.throttle(this.move,a.options.throttle),"touchend.glide mouseup.glide":b.Events.throttle(this.end,a.options.throttle)})}return c.prototype.unbind=function(){a.slider.unbind("touchstart.glide mousedown.glide").unbind("touchmove.glide mousemove.glide").unbind("touchend.glide mouseup.glide")},c.prototype.start=function(a){if(!b.Events.disabled&&!this.dragging){var c;c="mousedown"===a.type?a.originalEvent:a.originalEvent.touches[0]||a.originalEvent.changedTouches[0],this.touchStartX=parseInt(c.pageX),this.touchStartY=parseInt(c.pageY),this.touchSin=null,this.dragging=!0}},c.prototype.move=function(c){if(!b.Events.disabled&&this.dragging){a.options.autoplay&&b.Run.pause(),a.wrapper.addClass(a.options.classes.dragging);var d;d="mousemove"===c.type?c.originalEvent:c.originalEvent.touches[0]||c.originalEvent.changedTouches[0];var e=parseInt(d.pageX)-this.touchStartX,f=parseInt(d.pageY)-this.touchStartY,g=Math.abs(e<<2),h=Math.abs(f<<2),i=Math.sqrt(g+h),j=Math.sqrt(h);if(this.touchSin=Math.asin(j/i),!(this.touchSin*(180/Math.PI)<45))return;c.preventDefault(),"slideshow"!==a.options.type&&(a.wrapper[0].style.transition="",a.wrapper[0].style.transform=b.Translate.set("x",a.width*(a.current-1+a.clones.length/2)-e/2))}},c.prototype.end=function(c){if(!b.Events.disabled&&this.dragging){this.dragging=!1,b.Events.disable(),a.wrapper.removeClass(a.options.classes.dragging);var d;d="mouseup"===c.type||"mouseleave"===c.type?c.originalEvent:c.originalEvent.touches[0]||c.originalEvent.changedTouches[0];var e=d.pageX-this.touchStartX,f=this.touchSin*(180/Math.PI);e>a.options.touchDistance&&45>f?b.Run.make("<"):e<-a.options.touchDistance&&45>f?b.Run.make(">"):"slideshow"!==a.options.type&&(a.wrapper[0].style.transition=b.Transition.get("all"),a.wrapper[0].style.transform=b.Translate.set("x",a.width*(a.current-1+a.clones.length/2))),b.Animation.after(function(){b.Events.enable(),a.options.autoplay&&b.Run.play()})}},new c},o=function(a,b){function c(){this.jumping=!1}return c.prototype.get=function(b){return this.jumping?this.clear():b+" "+a.options.animationDuration+"ms "+a.options.animationTimingFunc},c.prototype.clear=function(b){return b+" 0ms "+a.options.animationTimingFunc},new c},p=function(a,b){function c(){this.axes={x:0,y:0,z:0}}return c.prototype.get=function(){var b=a.wrapper[0].styles.transform.replace(/[^0-9\-.,]/g,"").split(",");return parseInt(b[12]||b[4])},c.prototype.set=function(a,b){return this.axes[a]=parseInt(b),"translate3d("+-1*this.axes.x+"px, "+this.axes.y+"px, "+this.axes.z+"px)"},new c},q=function(b,c){var d={autoplay:4e3,type:"carousel",startAt:1,hoverpause:!0,keyboard:!0,touchDistance:80,animationDuration:400,animationTimingFunc:"cubic-bezier(0.165, 0.840, 0.440, 1.000)",throttle:16,classes:{base:"glide",wrapper:"glide__wrapper",slide:"glide__slide",arrows:"glide__arrows",arrow:"glide__arrow",arrowNext:"next",arrowPrev:"prev",bullets:"glide__bullets",bullet:"glide__bullet",dragging:"dragging"},beforeInit:function(a){},afterInit:function(a){},beforeTransition:function(a,b){},afterTransition:function(a,b){}};this.options=a.extend({},d,c),this.current=parseInt(this.options.startAt),this.element=b,this.collect(),this.setup(),this.options.beforeInit(this.slider);var q=new j(this,{Helper:l,Translate:p,Transition:o,Events:k,Arrows:g,Bullets:i,Build:h,Run:m,Animation:e,Touch:n,Api:f});return this.options.afterInit(this.slider),q.Api.instance()};q.prototype.collect=function(){this.slider=this.element.addClass(this.options.classes.base+"--"+this.options.type),this.wrapper=this.slider.children("."+this.options.classes.wrapper),this.slides=this.wrapper.children("."+this.options.classes.slide),this.clones=[],this.clones[0]=this.slides.filter(":first-child").clone().addClass("clone"),this.clones[1]=this.slides.filter(":last-child").clone().addClass("clone")},q.prototype.setup=function(){this.width=this.slider.width(),this.length=this.slides.length},a.fn.glide=function(b){return this.each(function(){a.data(this,"glide_api")||a.data(this,"glide_api",new q(a(this),b))})}}(jQuery,window,document);
//# sourceMappingURL=glide.min.js.map